/*
==================================

电子工程师学堂
http://www.eeschool.org

官方淘宝店铺
http://i-board.taobao.com

洛阳银杏科技有限公司
LUOYANG GINGKO TECHNOLOGY Co.,Ltd.

=================================
stm8核心板 演示程序 ( STVD + COSMIC 寄存器版 )

现象：板载 LED 闪烁
作者：YangShuai
日期：2013-11-30
================================
*/

#include <iostm8s.h>

int main(void)
{
  long int i;
	
  CLK_CKDIVR &= (unsigned char)(~0x18);
  PD_DDR |= 0x10;
  PD_CR1 |= 0x10;
  PD_CR2 |= 0x10;
  while(1){
    for(i = 0;i < 100000;i++);
    PD_ODR &= 0xef;
    for(i = 0;i < 100000;i++);
    PD_ODR |= 0x10;
  }
}